EDIT - bug #9443

Improve handling of TissueSamples and others in SpecimenTreeEditor
02/02/2021 02:48 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.20

Severity: critical Found in Version:

Description

Tissue Samples are handled stored as DnaSample in specimen tree editor which is not correct as they never can have any of the
additional attributes that DnaSample offers.

Also other code needs to be adapted as there is some unnecessary casting to DnaSample involved and also some other restrictions.

Associated revisions

Revision a3b7c1e7 - 01/26/2021 10:30 AM - Katja Luther

create DerivedUnit of type TissueSample for tissueSamples instead of DNASample

Revision 381249d5 - 02/02/2021 01:26 PM - Andreas Miiller

fix CCE for TissueSample in TissueSampleGeneralDetailElement

Revision ee4252e0 - 02/02/2021 03:15 PM - Andreas Miiller

ref #9443 fix tissue sample handling in SampleDesignationDetailElement

Revision bf23ce59 - 02/02/2021 03:15 PM - Andreas Miiller

ref #9443 fix tissue sample handling in DerivateLabelProvider

Revision aaf285ef - 02/02/2021 03:29 PM - Andreas Miiller

ref #9443 broaden the usecases when media can be added to field or derived unit

Revision 7a03ad62 - 02/02/2021 04:12 PM - Andreas Miiller

ref #9443 broaden the usecases when dnasample can be added to field or derived unit

Revision 05f06f64 - 02/03/2021 01:10 PM - Andreas Miiller

ref #9443, ref #5575 tissue sample as DnaSample generation and initialization of DNA sample cache strategies

Revision 4fc7f502 - 02/05/2021 05:51 PM - Andreas Miiller

ref #9443 handling tissue samples as DerivedUnit

History

#1 - 02/02/2021 02:50 PM - Andreas Miiller
- Status changed from New to In Progress

- Severity changed from normal to critical

The saving as Derived unit has been implemented in 5.19 already (a3b7c¢c1e7{7b79) so it is now high priority to also remove the casting as it otherwise
results in CCEs.

#2 - 02/05/2021 05:55 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50
Saving as DerivedUnit needs to be reverted as we want to allow also TissueSample to have DNA Sequences attached directly (without having empty
DNA Sample records).
So we should better try to implement the merge of DnaSample and DerivedUnit soon (#9455).

#3 - 02/05/2021 05:56 PM - Andreas Miiller

Still need to check if AddXXX handlers now work as expected and as before.

#4 - 02/08/2021 09:54 AM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.20

#5 - 02/08/2021 10:55 AM - Andreas Mdiller

The commit message of the last commit "handling tissue samples as DerivedUnit" was incorrect. Should be "revert handling ..."

#6 - 02/08/2021 10:57 AM - Andreas Mdller

- Assignee changed from Andreas Miiller to Katja Luther

Katja, can you check the commits of this ticket again if they look ok? Generally this ticket was reverted, however the removed class casts do make
sense and therefore can stay, | think. Do you agree?

Can be closed if you agree.

#7 - 02/08/2021 07:07 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

looks fine and works as expected.

04/25/2024 22


https://dev.e-taxonomy.eu/redmine/issues/9455
http://www.tcpdf.org

